package com.foreverwin.mesnac.dispatch.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 余料退回
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-19
 */

@TableName("Z_SURPLUS_RETURN")
public class SurplusReturn extends Model<SurplusReturn> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 父库存批次
     */
   @TableField("PARENT_INVENTORY")
   private String parentInventory;
    /**
     * 库存批次
     */
   @TableField("INVENTORY")
   private String inventory;
    /**
     * 物料编号
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * 余料长度
     */
   @TableField("LENGHT")
   private String lenght;
    /**
     * 余料宽度
     */
   @TableField("WIDTH")
   private String width;
    /**
     * 件数
     */
   @TableField("NUMBERS")
   private BigDecimal numbers;
    /**
     * 余料数量
     */
   @TableField("QTY")
   private BigDecimal qty;
    /**
     * 创建用户
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 更新用户
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 更新时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;

   @TableField(exist = false)
   private String itemDescription;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getParentInventory() {
      return parentInventory;
   }

   public void setParentInventory(String parentInventory) {
      this.parentInventory = parentInventory;
   }

   public String getInventory() {
      return inventory;
   }

   public void setInventory(String inventory) {
      this.inventory = inventory;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public String getLenght() {
      return lenght;
   }

   public void setLenght(String lenght) {
      this.lenght = lenght;
   }

   public String getWidth() {
      return width;
   }

   public void setWidth(String width) {
      this.width = width;
   }

   public BigDecimal getNumbers() {
      return numbers;
   }

   public void setNumbers(BigDecimal numbers) {
      this.numbers = numbers;
   }

   public BigDecimal getQty() {
      return qty;
   }

   public void setQty(BigDecimal qty) {
      this.qty = qty;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getItemDescription() {
      return itemDescription;
   }

   public void setItemDescription(String itemDescription) {
      this.itemDescription = itemDescription;
   }

   public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String PARENT_INVENTORY = "PARENT_INVENTORY";

public static final String INVENTORY = "INVENTORY";

public static final String ITEM_BO = "ITEM_BO";

public static final String LENGHT = "LENGHT";

public static final String WIDTH = "WIDTH";

public static final String NUMBERS = "NUMBERS";

public static final String QTY = "QTY";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SurplusReturn{" +
         "handle = " + handle +
         ", site = " + site +
         ", parentInventory = " + parentInventory +
         ", inventory = " + inventory +
         ", itemBo = " + itemBo +
         ", lenght = " + lenght +
         ", width = " + width +
         ", numbers = " + numbers +
         ", qty = " + qty +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}